#ifndef VY_BUFFER_MANAGER_H
#define VY_BUFFER_MANAGER_H

#include "runtime.h"

enum {
    VY_BUFFER_MGR_OUT_OF_MEMORY = VY_CUSTOM_ERROR_START,
    VY_BUFFER_MGR_MUTEX_CREATION_FAILED,
};

VY_DLLEXPORT void *vyAllocBuffer(size_t size);

VY_DLLEXPORT void vyReleaseBuffer(const void *begin, size_t size);

VY_DLLEXPORT void vyIncreaseBufferRefCount(const void *begin, size_t size);

#endif
